Extending Qt Creator Manual | CustomWizardFieldPage

Extending Qt Creator Manual 4.11.0

# CustomWizardFieldPage Class

(ProjectExplorer::Internal::CustomWizardFieldPage)

The CustomWizardFieldPage class is a simple custom wizard page presenting the fields to be used as page 2 of a BaseProjectWizardDialog if there are any fields. More...

Header: | #include <CustomWizardFieldPage>
Inherited By: | ProjectExplorer::Internal::CustomWizardPage

- List of all members, including inherited members

## Public Types

class | LineEditData
class | PathChooserData
class | TextEditData

## Protected Functions

void | addRow(const int &name, int *w)
void | clearError()
void | showError(const int &)

## Detailed Description

The CustomWizardFieldPage class is a simple custom wizard page presenting the fields to be used as page 2 of a BaseProjectWizardDialog if there are any fields.

Uses the 'field' functionality of QWizard. Implements validatePage() as the field logic cannot be tied up with additional validation. Performs checking of the Javascript-based validation rules of the parameters and displays error messages in a red warning label.

See also ProjectExplorer::CustomWizard.

## Member Function Documentation

### `[protected]` void CustomWizardFieldPage::addRow(const int &name, int *w)

### `[protected]` void CustomWizardFieldPage::clearError()

### `[protected]` void CustomWizardFieldPage::showError(const int &)